diaspora (0.7.9.0+dfsg-3) unstable; urgency=medium

  [ Sruthi Chandran ]
  * Remove git from embedded gemspecs
  * Relax uglifier version in Gemfile
  * Update patches
  * Replace embedded sass-3.7.3 with sass-3.4.25 as compass require sass < 3.5
  * Add patch to use backbone-on-rails instead of rails-assets-backbone
  * Add ruby-backbone-on-rails to deps
  * Relax activerecord-import and active-model-serializers
  * Remove unnecessary files from embedded gems
  * Fixperms for embedded files with find command

 -- Pirate Praveen <praveen@debian.org>  Sat, 09 Feb 2019 00:32:06 +0530

diaspora (0.7.9.0+dfsg-2) unstable; urgency=medium

  [ Pirate Praveen ]
  * Reupload to unstable

  [ Utkarsh Gupta ]
  * Update d/control as per Gemfile patch

 -- Pirate Praveen <praveen@debian.org>  Thu, 07 Feb 2019 12:02:19 +0530

diaspora (0.7.9.0+dfsg-1) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 0.7.9.0+dfsg
  * Update d/watch for repacking
  * Update d/copyright to exclude files
  * Fix executable permissions in d/rules
  * Add override and avoid installation of spec
  * Fix minor changes in d/changelog and d/copyright
  * Update d/copyright to add missing licenses
  * Add patch to relax sass dependencies
  * Add patch to fix graphics/README

  [ Raju Devidas ]
  * Adding new patches, changing the existing ones as per the new release
  * Embedding compass, compass-rails and ruby-sass
  * Formatting the control file
  * Added the paths to the embedded gems in the install file
  * Including binaries in source/include-binaries for the embedded gems
  * Removing ruby-compass-rails from d/control
  * Removing the comments from d/control

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Mon, 04 Feb 2019 04:42:01 +0530

diaspora (0.7.8.0-1) experimental; urgency=medium

  * New upstream version 0.7.8.0
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Bump debhelper compatibility level to 11
  * Move back to main (ruby-handlebars-assets is now in main)
  * Refresh patches
  * Drop files no longer present upstream from debian/install
  * Remove special handling of db/schema.rb (not present upstream now)
  * Tighten dependencies
  * Use salsa.debian.org in Vcs-* fields

 -- Pirate Praveen <praveen@debian.org>  Wed, 26 Dec 2018 15:53:28 +0530

diaspora (0.6.0.1+debian-2) unstable; urgency=medium

  [ Pirate Praveen ]
  * Change section to contrib/net from contib/web

  [ Joseph Nuthalapati ]
  * Fix syntax error in postinst script (Closes: #866877)
  * Don't remove files that are created/removed by diaspora-common
    (Closes: #872305)

 -- Pirate Praveen <praveen@debian.org>  Mon, 11 Dec 2017 20:32:03 +0530

diaspora (0.6.0.1+debian-1) unstable; urgency=medium

  * New hotfix release
  * Remove database existence/previous version check in preinst
  * Create /run/gitlab and use it as tmp (for sockets and pids)
    (Closes: #852187)
  * Always generate Gemfile.lock
  * Regenerate Gemfile.lock when ruby packages are updated

 -- Pirate Praveen <praveen@debian.org>  Tue, 17 Jan 2017 13:38:29 +0530

diaspora (0.6.0.0+debian-8) unstable; urgency=medium

  * Remove unused overrides
  * Add tag for all patches

  [ Julian Gilbey ]
  * Fix maintscript syntax (Closes: #850575)

 -- Pirate Praveen <praveen@debian.org>  Fri, 13 Jan 2017 13:10:14 +0530

diaspora (0.6.0.0+debian-7) unstable; urgency=medium

  * Use jquery-ui 6 (See #846961)

 -- Pirate Praveen <praveen@debian.org>  Mon, 12 Dec 2016 11:18:48 +0530

diaspora (0.6.0.0+debian-6) unstable; urgency=medium

  * Switch back to jquery 2 (ruby-jquery-rails now provides jquery 2)

 -- Pirate Praveen <praveen@debian.org>  Wed, 07 Dec 2016 23:18:41 +0530

diaspora (0.6.0.0+debian-5) unstable; urgency=medium

  * Remove dependency on ruby-rails-autolink (removed upstream)
  * Use jquery 3 instead of jquery 2
  * Tighten dependency on ruby-handlebars-assets

 -- Pirate Praveen <praveen@debian.org>  Thu, 24 Nov 2016 11:16:10 +0530

diaspora (0.6.0.0+debian-4) unstable; urgency=medium

  * Fix syntax in Gemfile patch
  * Tighten dependency on ruby-oembed to >= 0.10

 -- Pirate Praveen <praveen@debian.org>  Thu, 10 Nov 2016 11:10:54 +0530

diaspora (0.6.0.0+debian-3) unstable; urgency=medium

  * Reupload to unstable
  * Remove --stop_all option from eye (fixes init script)

 -- Pirate Praveen <praveen@debian.org>  Wed, 09 Nov 2016 12:53:23 +0530

diaspora (0.6.0.0+debian-2) experimental; urgency=medium

  * Remove leftover files on uninstall
  * Move log directory to /var

 -- Pirate Praveen <praveen@debian.org>  Tue, 27 Sep 2016 19:11:45 +0530

diaspora (0.6.0.0+debian-1) experimental; urgency=medium

  * New upstream release
  * Remove embedded copy of bootstrap-sass 2.x
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Mon, 26 Sep 2016 22:20:10 +0530

diaspora (0.5.9.1+debian-3) unstable; urgency=medium

  * Move to contrib as ruby-handlebars-assets is in non-free now

 -- Pirate Praveen <praveen@debian.org>  Tue, 23 Aug 2016 15:54:07 +0530

diaspora (0.5.9.1+debian-2) unstable; urgency=medium

  * Enable autopkgtest
  * Move config/* to /etc/diaspora

 -- Pirate Praveen <praveen@debian.org>  Wed, 27 Jul 2016 17:18:37 +0530

diaspora (0.5.9.1+debian-1) unstable; urgency=medium

  [ Pirate Praveen ]
  * New upstream release
  * Refresh patches
  * Relax stable libs to ~> x.y and development libs to ~> x.y.z
    (SemVer defines stable libs as x.y >= 1.0)

  [ Rahulkrishnan R A ]
  * Refresh patch

 -- Pirate Praveen <praveen@debian.org>  Sat, 09 Jul 2016 23:08:59 +0530

diaspora (0.5.7.1+debian-3) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sat, 09 Jul 2016 01:11:39 +0530

diaspora (0.5.5.1+debian-10) unstable; urgency=medium

  * Relax active_model_serializers in Gemfile
  * Relax fog in Gemfile

 -- Pirate Praveen <praveen@debian.org>  Wed, 06 Jul 2016 21:13:02 +0530

diaspora (0.5.7.1+debian-2) experimental; urgency=medium

  [ Gemfile changes ]
  * Fix syntax
  * Relax unicorn
  * Relax jquery-rails
  * Relax rails-assets-jquery
  * Disable diaspora-vines
  * Relax addressable

 -- Pirate Praveen <praveen@debian.org>  Wed, 06 Jul 2016 20:53:27 +0530

diaspora (0.5.5.1+debian-9) unstable; urgency=medium

  * Relax version of addressable in Gemfile
  * Relax version of rails-assets-diaspora_jsxc in Gemfile

 -- Pirate Praveen <praveen@debian.org>  Wed, 06 Jul 2016 18:28:12 +0530

diaspora (0.5.7.1+debian-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches
  * Update minimum versions of dependencies

 -- Pirate Praveen <praveen@debian.org>  Sat, 12 Mar 2016 17:26:34 +0530

diaspora (0.5.5.1+debian-6) unstable; urgency=medium

  * Relax dependencies (allow updating to versions required by next release)
  * Bump standards version to 3.9.7 (no changes)
  * Bump debian/compat to 9

 -- Pirate Praveen <praveen@debian.org>  Fri, 04 Mar 2016 09:56:55 +0530

diaspora (0.5.5.1+debian-5) unstable; urgency=medium

  * Team upload.
  * Drop dependency on ruby-foreigner, not used anymore

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 02 Mar 2016 20:24:54 +0100

diaspora (0.5.5.1+debian-4) unstable; urgency=medium

  * Allow omniauth-facebook 3.0.0

 -- Pirate Praveen <praveen@debian.org>  Tue, 02 Feb 2016 19:23:52 +0530

diaspora (0.5.5.1+debian-3) unstable; urgency=medium

  * Replace sidetiq with sidekiq-cron (include upstream patch)
    - sidetiq is unmaintained and it does not work with siekiq 4.0
  * Remove ruby-mysql2 from dependencies (we use postgresql)
  * Remove Pre-Depends (handled by diaspora-common)

 -- Pirate Praveen <praveen@debian.org>  Wed, 27 Jan 2016 18:47:30 +0530

diaspora (0.5.5.1+debian-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sat, 09 Jan 2016 01:26:43 +0530

diaspora (0.5.5.1+debian-1) experimental; urgency=medium

  * New upstream release
  * Add work around for sprockets bug couldn't find file 'favico.js
    (Closes: #809755)
  * Change fonts-roboto dependency to fonts-roboto-hinted
    Fix links to roboto fonts (add 'hinted' to path)

 -- Pirate Praveen <praveen@debian.org>  Fri, 08 Jan 2016 13:20:48 +0530

diaspora (0.5.4.0+debian-2) unstable; urgency=medium

  * Re-upload to unstable
  * Adjust dependencies

 -- Pirate Praveen <praveen@debian.org>  Sun, 27 Dec 2015 20:58:42 +0530

diaspora (0.5.4.0+debian-1) experimental; urgency=medium

  * New upstream release
  * Update minimum versions of changed dependencies

 -- Pirate Praveen <praveen@debian.org>  Fri, 30 Oct 2015 03:32:51 +0530

diaspora (0.5.3.0+debian-1) experimental; urgency=medium

  * New upstream release
  * Change ruby-devise-lastseenable dependency to 0.0.6 (#796979)
  * Change ruby-messagebus-api dependency to
    3.0.7+git.20130130.97b34ece.REALLY.1.0.3 (match exact version with Gemfile)
  * Tighten dependencies
  * Add json-schema as new dependency

 -- Pirate Praveen <praveen@debian.org>  Thu, 17 Sep 2015 19:18:15 +0530

diaspora (0.5.2.0+debian-7) experimental; urgency=medium

  * Bump minimum version of diaspora-common to 0.5.2.0+debian4
  * Remove bin directory before install (to support switching from
     diaspora-installer)
  * Stop diaspora before upgrade
  * Set minimum version for ruby-rails-assets-markdown-it, ruby-fog,
    ruby-rack-rewrite, ruby-uuid, ruby-mini-magick, ruby-rack-protection,
    ruby-rails-admin, ruby-zip, ruby-haml, ruby-typhoeus, ruby-faraday,
    ruby-addressable, ruby-rails-assets-jquery-placeholder, ruby-js-routes,
    ruby-handlebars-assets, ruby-pg
  * Add ruby-responders, ruby-jquery-ui-rails to dependencies

 -- Pirate Praveen <praveen@debian.org>  Sun, 30 Aug 2015 00:13:06 +0530

diaspora (0.5.2.0+debian-6) experimental; urgency=medium

  * Remove rails 4.1 compatibility patches
  * Set minimum version of diaspora-common to 0.5.2.0+debian2
  * Add symlink to /usr/bin for bin
  * Set minimum version of unicorn to 4.9.0
  * Remove ruby-foreman dependency (not required)
  * Move to section web (Closes: #796724)

 -- Pirate Praveen <praveen@debian.org>  Fri, 28 Aug 2015 08:52:55 +0530

diaspora (0.5.2.0+debian-5) experimental; urgency=medium

  * Set minimum version of 0.2.0-3 for rails-assets-jeresig-jquery.hotkeys
  * Install 'tmp' directory (for tmp/pids)
  * Remove dependencies already declared by diaspora-common

 -- Pirate Praveen <praveen@debian.org>  Wed, 26 Aug 2015 18:25:58 +0530

diaspora (0.5.2.0+debian-4) experimental; urgency=medium

  * Update ruby-eye dependency to >= 0.7~pre-1
  * Change ruby-diaspora-vines to suggests

 -- Pirate Praveen <praveen@debian.org>  Tue, 25 Aug 2015 17:19:41 +0530

diaspora (0.5.2.0+debian-3) experimental; urgency=medium

  * Tighten dependencies:
    ruby-compass-rails to fix ruby-sass-rails dependency
    ruby-jquery-rails to install ruby-dom-testing
    ruby-sidekiq to update ruby-redis and ruby-redis-namespace
    ruby-rails to update ruby-i18n and ruby-thread-safe
    ruby-omniauth-twitter to update ruby-omniauth-oauth
    ruby-eye to update ruby-celluloid-io

 -- Pirate Praveen <praveen@debian.org>  Wed, 19 Aug 2015 18:25:36 +0530

diaspora (0.5.2.0+debian-2) experimental; urgency=medium

  * Move ruby-diaspora-vines to recommends (chat is still alpha)
  * Tighten dependency on ruby-rails, ruby-sidekiq, ruby-autoprefixer-rails,
    ruby-rails-assets-perfect-scrollbar
  * Loosen dependency of ruby-devise-lastseenable, ruby-sass-rails

 -- Pirate Praveen <praveen@debian.org>  Wed, 19 Aug 2015 11:16:23 +0530

diaspora (0.5.2.0+debian-1) experimental; urgency=low

  * Initial release (Closes: #597093)

 -- Pirate Praveen <praveen@debian.org>  Thu, 06 Aug 2015 23:43:15 +0530
